import { registerExtension } from '@codingame/monaco-vscode-api/extensions';

var manifest = {name:"go",displayName:"%displayName%",description:"%description%",version:"1.0.0",publisher:"vscode",license:"MIT",engines:{vscode:"*"},scripts:{"update-grammar":"node ../node_modules/vscode-grammar-updater/bin worlpaker/go-syntax syntaxes/go.tmLanguage.json ./syntaxes/go.tmLanguage.json"},categories:["Programming Languages"],contributes:{languages:[{id:"go",extensions:[".go"],aliases:["Go"],configuration:"./language-configuration.json"}],grammars:[{language:"go",scopeName:"source.go",path:"./syntaxes/go.tmLanguage.json"}],configurationDefaults:{"[go]":{"editor.insertSpaces":false}}},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"},main:undefined};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true});
registerFileUrl('./language-configuration.json', new URL('./resources/language-configuration.json', import.meta.url).toString(), {"mimeType":"application/json","size":847});
registerFileUrl('./syntaxes/go.tmLanguage.json', new URL('./resources/go.tmLanguage.json', import.meta.url).toString(), {"mimeType":"application/json","size":49598});
registerFileUrl('package.json', new URL('./resources/package.json', import.meta.url).toString(), {"mimeType":"application/json","size":710});
registerFileUrl('package.nls.json', new URL('./resources/package.nls.json', import.meta.url).toString(), {"mimeType":"application/json","size":115});

export { whenReady };
